html {
	height: 100%;
}

body{
	position: relative;
	background-image: url("../img/farm.png");
	margin: 0;
	padding: 20px 0 60px 0;
	min-height: 100vh;
}

button{
	border: 3px solid #000;
	padding: 5px 10px;
	margin: 5px;
	font: 14px Arial, sans-serif;
	cursor: pointer;
}

#header{
	text-align: center;
	margin: 40px 0;
}

#header p {
	font: 56px "Lobster Two", serif;
	margin: 0;
	padding: 0;
	text-shadow: 1px 1px 0 #fff;
}

#area, #animals, #result{
	text-align: center;
}

#area {
	margin-bottom: 25px;
}

.animal{
	position: relative;
	display: inline-block;
	margin: 20px 10px;
	text-align: center;
}

.animal p{
	font: bold 14px Arial, sans-serif;
}

.common{
	border: 5px solid #a3fea0;
}

.rare{
	border: 5px solid #a0d3ff;
}

.mythical{
	border: 5px solid #ffbef8;
}

#line_1 div, #line_2 div, #line_3 div, #line_4 div, #line_5 div, .check{
	display: inline-block;
	width: 30px;
	height: 30px;
	border: 3px solid #000;
	background-color: #fff;
}

.check{
	cursor: pointer;
	position: relative;
}

.selected{
	background: #fff url("../img/check.png") center center no-repeat;
}

.common_pattern > .overlay{
	background-color: #a3fea0;
}

.rare_pattern > .overlay{
	background-color: #a0d3ff;
}

.mythical_pattern > .overlay{
	background-color: #ffbef8;
}

.common_pattern > img, .rare_pattern > img, .mythical_pattern > img{
	position: absolute;
	top: 0;
	left: 100%;	
	transform: translate(-50%, -50%);
	cursor: pointer;
	z-index: 10;
}

.pattern{
	text-align: left;
	position: absolute;
	margin-left: 50%;
	margin-top: 50%;
	transform: translate(-50%, -50%);
	line-height: 0;
}

.overlay{
	position: absolute;
	opacity: 0.4;
	width: 120px;
	height: 120px;
	left: 5px;
	top: 5px;
}

.empty{
	display: inline-block;
	width: 12px;
	height: 12px;
	border: 1px solid transparent;
}

.full{
	display: inline-block;
	width: 12px;
	height: 12px;
	background-color: red;
	border: 1px solid #000;
	box-shadow: 1px 1px 0 #333;
}

button{
	position: relative;
}

.kbd{
	background-color: #eee;
	border-top: 1px solid #ccc;
	border-right: 2px solid #aaa;
	border-bottom: 2px solid #888;
	border-left: 1px solid #bbb;
	color: #333;
	border-radius: 3px;
	padding: 3px;
	width: 10px;
	height: 10px;
	line-height: 10px;
	position: absolute;
	left: 100%;
	top: 100%;
	transform: translate(-50%, -50%);
	font: bold 10px monospace;
}

#disco{
	position: absolute;
	top: 10px;
	right: 10px;
}

#start_disco{
	z-index: 50;
}

#party{
	display: none;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 10;
}

#party_globe img{
	margin-left: 50%;
	transform: translateX(-50%);
	width: 153px;
}

#party_overlay{
	position: absolute;
	width: 100%;
	height: 100%;
	background-color: #000;
	opacity: 0.6;
}

.dance_animal{
	position: absolute;
}

/* Unicorn */
.dance_animal:nth-child(2){
	left: -500px;
	top: 150px;
}

/* Tiddalik */
.dance_animal:nth-child(3){
	left: -560px;
	top: 450px;
}

/* Gryphon */
.dance_animal:nth-child(4){
	left: 320px;
	top: 400px;
}

/* Sasquatch */
.dance_animal:nth-child(5){
	left: -10px;
	top: 480px;
}

/* Yeti */
.dance_animal:nth-child(6){
	left: -300px;
	top: 460px;
}

/* Phoenix */
.dance_animal:nth-child(7){
	left: -420px;
	top: 320px;
}

/* Dragon */
.dance_animal:nth-child(8){
	left: 280px;
	top: 190px;
}

/* Akhlut */
.dance_animal:nth-child(9){
	left: 520px;
	top: 230px;
}

/* Sewer Turtle */
.dance_animal:nth-child(10){
	left: 500px;
	top: 500px;
}

/* Aatxe */
.dance_animal:nth-child(11){
	left: -250px;
	top: 150px;
}

/* Jade Rabbit */
.dance_animal:nth-child(12){
	left: 100px;
	top: 290px;
}

/* Marsmallow */
.dance_animal:nth-child(13){
	left: -140px;
	top: 320px;
}

#footer {
	box-sizing: border-box;
	position: absolute;
	bottom: 0;
	width: 100%;
	padding: 10px;
	border-top: 1px solid #ccc;
	box-shadow: 0 -1px 0 #111;
	background-color: rgba(17, 17, 17, 0.6);
	text-align: center;
	font: 16px "Open Sans Condensed", sans-serif;
	line-height: 16px;
	color: #ddd;
	text-shadow: 1px 1px 0 #000;
}

#footer > img {
	width: 16px;
	height: 16px;
	margin: 0 5px;
}

#footer a, #footer a:hover, #footer a:active, #footer a:visited {
	text-decoration: none;
	color: #aaf;
}

#footer a:hover {
	text-decoration: underline;
}

#version {
	box-sizing: border-box;
	position: absolute;
	right: 0;
	top: 0;
	height: 100%;
	padding: 0 10px;
	font: bold 12px "Nova Mono", monospace;
	line-height: 36px;
}